## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

%global extension   just-perfection
%global uuid        %{extension}-desktop@%{extension}

Name:           gnome-shell-extension-%{extension}
Version:        19.0
Release:        %autorelease
Summary:        Extension to Customize GNOME Shell and Disable UI Elements
License:        GPLv3
URL:            https://gitlab.gnome.org/jrahmatzadeh/just-perfection
BuildArch:      noarch

Source:         %{url}/-/archive/%{version}/%{extension}-%{version}.tar.gz

BuildRequires:  gettext
Requires:       gnome-shell-extension-common
Recommends:     gnome-extensions-app
Provides:       %{extension} = %{version}-%{release}


%description
%{summary}.


%prep
%autosetup -n %{extension}-%{version}

# we will be putting the schema xml file into a different location
mv src/schemas .

# fix spurious-executable-perm and script-without-shebang rpmlint warnings/errors
find -type f -print -exec chmod 644 {} \;


%install
# install main extension files
install -d -m 0755 %{buildroot}%{_datadir}/gnome-shell/extensions
cp -r --preserve=timestamps src %{buildroot}%{_datadir}/gnome-shell/extensions/%{uuid}

# install the schema file
install -D -p -m 0644 \
    schemas/org.gnome.shell.extensions.%{extension}.gschema.xml \
    %{buildroot}%{_datadir}/glib-2.0/schemas/org.gnome.shell.extensions.%{extension}.gschema.xml

# install locale files
pushd po
for po in *.po; do
    install -d -m 0755 %{buildroot}%{_datadir}/locale/${po%.po}/LC_MESSAGES
    msgfmt -o %{buildroot}%{_datadir}/locale/${po%.po}/LC_MESSAGES/%{extension}.mo $po
done
popd
%find_lang %{extension}


%files -f %{extension}.lang
%license LICENSE
%doc CHANGELOG.md
%{_datadir}/gnome-shell/extensions/%{uuid}
%{_datadir}/glib-2.0/schemas/org.gnome.shell.extensions.%{extension}.gschema.xml


%changelog
* Sun Mar 20 2022 Carl George <carl@george.computer> 19.0-1
- Update to version 19 (GNOME 42 compatibility)

* Sun Jan 23 2022 Carl George <carl@george.computer> 16.0^1.241722c-1
- Latest upstream snapshot

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> 16.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Nov 19 2021 Carl George <carl@george.computer> 16.0-1
- Initial package
